Subject: Re: [PATCH] Mention that password could be a personal access token.

From: Junio C Hamano <[email-masked]>
Date: Thu, 27 Oct 2022 14:48:33 -0700

Jeff King <[email-masked]> writes:

> FWIW, I had the same reaction. From the client perspective for https,
> this is going over basic-auth, and it might be nice to just say so. But
> of course the whole credential system is abstract, so it gets awkward.
> We could probably say something like:
>
>   The credential's password, if we are asking it to be stored. Note that
>   this may not strictly be a traditional password, but rather any secret
>   string which is used for authentication. For instance, Git's HTTP
>   protocol will generally pass this using an Authorization header;
>   depending on what the server is expecting this may be a password typed
>   by the user, a personal access token, or some other opaque value.

Thanks.  I have no problem with this replacement text.

> Maybe that is getting too into the weeds. OTOH, anybody reading this far
> into git-credential(1) is probably pretty technical.

True, too.